<template>
  <div class="px-5">
    <v-row justify="center" class="mt-12 grey lighten-3 pa-12">
      <v-col cols="12" sm="8" class="white">
        <v-card class="card d-flex flex-wrap mx-3" color="primary" dark>
          <v-col class="text-center" cols="12">
            <span class="subtitle-1">
              CHANGE PASSWORD
            </span>
          </v-col>
        </v-card>
        <v-form
          ref="form"
          v-model="valid"
          lazy-validation
        >
          <v-container class="py-0">
            <v-row justify="center">
              <v-col cols="12" md="7">
                 <v-text-field
                    v-model="newpassword"
                    :append-icon="show ? 'mdi-eye' : 'mdi-eye-off'"
                    :type="show ? 'text' : 'password'"
                    :rules="passwordRules"
                    label="New Password"
                    required
                    @click:append="show = !show"
                  ></v-text-field>
                <v-divider></v-divider>
              </v-col>
              <v-col cols="12" md="7">
                <v-text-field
                  v-model="confirmpassowrd"
                  :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
                  :type="show1 ? 'text' : 'password'"
                  :rules="password2Rules"
                  label="Confirm Password"
                  required
                  @click:append="show1 = !show1"
                ></v-text-field>
                <v-divider></v-divider>
              </v-col>
              <v-col cols="12" md="7" class="mt-5 text-center">
                <v-btn
                  :disabled="!valid"
                  color="secoundary"
                  block
                  class="mr-4 mb-2 white--text"
                  @click="validate"
                >
                  UPDATE
                </v-btn>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
      </v-col>
    </v-row>
  </div>
</template>
<script>

export default {
  data() {
    return {
      valid: true,
      show: false,
      show1: false,
      newpassword: '',
      confirmpassowrd: '',
      passwordRules: [
        (v) => !!v || 'Password is required',
        (v) => (v && v.length >= 5) || 'Password must have 5+ characters',
        (v) => /(?=.*[A-Z])/.test(v) || 'Must have one uppercase character',
        (v) => /(?=.*\d)/.test(v) || 'Must have one number',
        (v) => /([!@$%])/.test(v) || 'Must have one special character [!@#$%]',
      ],
      password2Rules: [
        (v) => !!v || 'Confirm Password is required',
        (v) => (v && this.newpassword === this.confirmpassowrd) || 'password should be match',
      ],
    };
  },
  methods: {
    validate() {
      if (this.$refs.form.validate()) {
        this.$emit('submit', this.confirmpassowrd);
      }
    },
  },

};
</script>

<style scoped>
.card {
  top: -20px;
}
</style>
